package com.cuit.basin.base.biz.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.basin.base.biz.entity.SysLog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.time.LocalDateTime;
import java.util.List;


/**
 * @author asus
 * @description 针对表【tb_sys_log】的数据库操作Mapper
 * @createDate 2022-12-01 16:35:24
 * @Entity com.cuit.sriver.sriversys.entity.SysLog
 */
@Mapper
public interface TbSysLogMapper extends BaseMapper<SysLog> {


    default List<SysLog> selectListByModuleId(Integer moduleId){
        return selectList(new QueryWrapper<SysLog>().eq("module",moduleId));
    }

    @Select("select visit_time FROM tb_sys_log where module = #{type} ORDER BY visit_time desc LIMIT 1")
    LocalDateTime obtainRecentDataTimeWithModule(Integer type);
}




